# Gets the current status and results for a query that has previously been started

Gets the current status and results for a query that has previously been started

Endpoint: GET /queries/{tenantId}/describe/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Path parameters:

  - `tenantId` (string, required)
    Parameters to the query

  - `id` (string, required)
    The ID of a previously started query

## Response 200 fields (application/json):

  - `duration` (number)
    The query execution time

  - `has_result_set` (boolean)
    Did this query return data?

  - `id` (string)
    The id of the query

  - `metadata_uri` (string)
    The location where you can download the metadata for this query

  - `rows` (number)
    The number of rows returned by this query

  - `schedule_id` (string)
    The ID of the query delivery schedule that initiated this query

  - `size` (number)
    The size of the data returned by this query

  - `status` (string)
    The current status of the query

  - `sys_created_at` (string)
    The date/time that this query was started

  - `sys_created_by_id` (string)
    The ID of the user that created this record

  - `sys_last_modified_at` (string)
    The date/time that this query status was last updated

  - `sys_last_modified_by_id` (string)
    The ID of the user that last modified this record

  - `uri` (string)
    The location where you can download the results of this query


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 409 fields

## Response 429 fields

## Response 500 fields
